package cn.ibizlab.core.uaa.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.uaa.domain.SYS_PSAPPMENUITEM;
/**
 * 关系型数据实体[SYS_PSAPPMENUITEM] 查询条件对象
 */
@Slf4j
@Data
public class SYS_PSAPPMENUITEMSearchContext extends QueryWrapperContext<SYS_PSAPPMENUITEM> {

	private String n_sys_psappmenuitemname_like;//[系统菜单项名称]
	public void setN_sys_psappmenuitemname_like(String n_sys_psappmenuitemname_like) {
        this.n_sys_psappmenuitemname_like = n_sys_psappmenuitemname_like;
        if(!ObjectUtils.isEmpty(this.n_sys_psappmenuitemname_like)){
            this.getSelectCond().like("sys_psappmenuitemname", n_sys_psappmenuitemname_like);
        }
    }
	private String n_pssystemid_eq;//[实体标识]
	public void setN_pssystemid_eq(String n_pssystemid_eq) {
        this.n_pssystemid_eq = n_pssystemid_eq;
        if(!ObjectUtils.isEmpty(this.n_pssystemid_eq)){
            this.getSelectCond().eq("pssystemid", n_pssystemid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
			this.getSelectCond().or().like("sys_psappmenuitemname",query);
		 }
	}
}




